shithub: pokecrystal

Download patch

ref: 01bd8ac94cc11c086167a2a2d8e7b335f033deca
parent: 1038ebca5e2638ecbce1052c1dad7474372a7fd5
author: Remy Oukaour <remy.oukaour@gmail.com>
date: Fri Dec 15 15:12:00 EST 2017

Move old baserom.gbc 'compare' scripts to tools/

--- a/compare.sh
+++ /dev/null
@@ -1,11 +1,0 @@
-#!/bin/sh
-# Compares baserom.gbc and pokecrystal.gbc
-
-# create baserom.txt if necessary
-if [ ! -f baserom.txt ]; then
-	hexdump -C baserom.gbc > baserom.txt
-fi
-
-hexdump -C pokecrystal.gbc > pokecrystal.txt
-
-diff -u baserom.txt pokecrystal.txt | less
--- a/compare2.sh
+++ /dev/null
@@ -1,51 +1,0 @@
-#!/bin/sh
-# Compares baserom.gbc and pokecrystal.gbc
-
-# create baserom.txt if necessary
-crystal_md5=9f2922b235a5eeb78d65594e82ef5dde
-if [ ! -f baserom.gbc ]; then
-    echo "FATAL: Baserom not found"
-    exit 1
-fi
-
-if [ $1 ]; then
-	if [ $1 == "-v" ]; then
-		verbose=1
-	else
-		verbose = 0
-	fi
-else
-	verbose=0
-fi
-
-base_md5=`md5sum baserom.gbc | cut -d' ' -f1`
-if [ $verbose == 1 ]; then
-	echo "baserom.gbc:     $base_md5"
-fi
-if [ $base_md5 != $crystal_md5 ]; then
-    echo "FATAL: Baserom is incorrect"
-    exit 1
-fi
-
-built_md5=`md5sum pokecrystal.gbc | cut -d' ' -f1`
-if [ $verbose == 1 ]; then
-	echo "pokecrystal.gbc: $built_md5"
-fi
-if [ $built_md5 != $crystal_md5 ]
-then
-	if [ $verbose == 1 ]; then
-		echo "Checksums do not match, here's where the ROMs differ..."
-	fi
-    if [ ! -f baserom.txt ]; then
-        hexdump -C baserom.gbc > baserom.txt
-    fi
-
-    hexdump -C pokecrystal.gbc > pokecrystal.txt
-
-    diff -u baserom.txt pokecrystal.txt | less
-else
-	if [ $verbose == 1 ]; then
-		echo "Checksums match! :D"
-	fi
-fi
-
--- /dev/null
+++ b/tools/compare.sh
@@ -1,0 +1,11 @@
+#!/bin/sh
+# Compares baserom.gbc and pokecrystal.gbc
+
+# create baserom.txt if necessary
+if [ ! -f baserom.txt ]; then
+	hexdump -C baserom.gbc > baserom.txt
+fi
+
+hexdump -C pokecrystal.gbc > pokecrystal.txt
+
+diff -u baserom.txt pokecrystal.txt | less
--- /dev/null
+++ b/tools/compare2.sh
@@ -1,0 +1,51 @@
+#!/bin/sh
+# Compares baserom.gbc and pokecrystal.gbc
+
+# create baserom.txt if necessary
+crystal_md5=9f2922b235a5eeb78d65594e82ef5dde
+if [ ! -f baserom.gbc ]; then
+    echo "FATAL: Baserom not found"
+    exit 1
+fi
+
+if [ $1 ]; then
+	if [ $1 == "-v" ]; then
+		verbose=1
+	else
+		verbose = 0
+	fi
+else
+	verbose=0
+fi
+
+base_md5=`md5sum baserom.gbc | cut -d' ' -f1`
+if [ $verbose == 1 ]; then
+	echo "baserom.gbc:     $base_md5"
+fi
+if [ $base_md5 != $crystal_md5 ]; then
+    echo "FATAL: Baserom is incorrect"
+    exit 1
+fi
+
+built_md5=`md5sum pokecrystal.gbc | cut -d' ' -f1`
+if [ $verbose == 1 ]; then
+	echo "pokecrystal.gbc: $built_md5"
+fi
+if [ $built_md5 != $crystal_md5 ]
+then
+	if [ $verbose == 1 ]; then
+		echo "Checksums do not match, here's where the ROMs differ..."
+	fi
+    if [ ! -f baserom.txt ]; then
+        hexdump -C baserom.gbc > baserom.txt
+    fi
+
+    hexdump -C pokecrystal.gbc > pokecrystal.txt
+
+    diff -u baserom.txt pokecrystal.txt | less
+else
+	if [ $verbose == 1 ]; then
+		echo "Checksums match! :D"
+	fi
+fi
+